Merge with crew-stable
authorPatrick Mezard <pmezard@gmail.com>
Sun, 23 Aug 2009 13:03:10 +0200
changeset 9385 570416319ed3
parent 9381 642febca0e5d (current diff)
parent 9384 d91078a2652f (diff)
child 9386 eae98607b349
Merge with crew-stable
mercurial/util.py
--- a/mercurial/util.py	Sat Aug 22 10:52:53 2009 +0200
+++ b/mercurial/util.py	Sun Aug 23 13:03:10 2009 +0200
@@ -84,7 +84,7 @@
     '%b %d %Y',
     '%b %d',
     '%H:%M:%S',
-    '%I:%M:%SP',
+    '%I:%M:%S%p',
     '%H:%M',
     '%I:%M%p',
 )
--- a/tests/test-command-template	Sat Aug 22 10:52:53 2009 +0200
+++ b/tests/test-command-template	Sun Aug 23 13:03:10 2009 +0200
@@ -43,15 +43,15 @@
 echo '#  normal'
 hg log > log.out
 hg log --style default > style.out
-diff -u log.out style.out
+cmp log.out style.out || diff -u log.out style.out
 echo '#  verbose'
 hg log -v > log.out
 hg log -v --style default > style.out
-diff -u log.out style.out
+cmp log.out style.out || diff -u log.out style.out
 echo '#  debug'
 hg log --debug > log.out
 hg log --debug --style default > style.out
-diff -u log.out style.out
+cmp log.out style.out || diff -u log.out style.out
 
 echo '# revision with no copies (used to print a traceback)'
 hg tip -v --template '\n'
--- a/tests/test-parse-date	Sat Aug 22 10:52:53 2009 +0200
+++ b/tests/test-parse-date	Sun Aug 23 13:03:10 2009 +0200
@@ -44,6 +44,10 @@
 hg debugdate "Sat Sep 08 21:16:40 2001 +0430"
 hg debugdate "Sat Sep 08 21:16:40 2001 -0430"
 
+# Test 12-hours times
+hg debugdate "2006-02-01 1:00:30PM +0000"
+hg debugdate "1:00:30PM" > /dev/null || echo 'failed'
+
 #Test date formats with '>' or '<' accompanied by space characters
 hg log -d '>' --template '{date|date}\n'
 hg log -d '<' hg log -d '>' --template '{date|date}\n'
--- a/tests/test-parse-date.out	Sat Aug 22 10:52:53 2009 +0200
+++ b/tests/test-parse-date.out	Sun Aug 23 13:03:10 2009 +0200
@@ -34,6 +34,8 @@
 standard: Sat Sep 08 21:16:40 2001 +0430
 internal: 1000000000 16200
 standard: Sat Sep 08 21:16:40 2001 -0430
+internal: 1138798830 0
+standard: Wed Feb 01 13:00:30 2006 +0000
 Sun Jan 15 13:30:00 2006 +0500
 Sun Jan 15 13:30:00 2006 -0800
 Sat Jul 15 13:30:00 2006 +0500